<?php
namespace Teknisa\ACL\Controllers;

use Teknisa\Libs\Controller\CRUD;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\ACL\Controllers\TeknisaCrud;

class FilioperPrincipal extends TeknisaCrud
{
    protected $dataSourceName = "filioperCompleto";
    protected $entityManager;
    protected $newCode;

    public function __construct ($crudService, $environment, $entityManager, $newCode)
    {
        $this->entityManager = $entityManager;
        $this->newCode       = $newCode;

        $this->crudService = $crudService;
        $this->environment = $environment;
    }

    public function save(DTO\Request $request, DTO\Response $response)
    {
        foreach($request->getDataSet()->getRows() as $row)
        {
            try
            {
                if($row["__is_new"])
                {

                    foreach($row["NMFILIAL_MULT"] as $cdfilial)
                    {
                    	$row["CDFILIAL"] = $cdfilial;
                    	parent::save($request, $response);
                    }
                }
                else
                {
                    parent::save($request, $response);
                }
            }catch(\Exception $e)
            {
                var_dump($e->getMessage());
            }
        }
    }

    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        $request->setParameter('dbname', 'filioperCompleto');
        parent::find($request, $response);
    }

}